Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class Reserve

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.balance.common.bean.Reserve

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Reserve extends Id
Bean резерва договора. Для получения типа(ReserveType) использовать справочник типов.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Reserve.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Reserve()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Reserve.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  Конструктор резерва для его добавления на договор.
  `Date`
  `getDateClose()`
  `PeriodWithTime`
  `getPeriod()`
  `BigDecimal`
  `getSum()`
  `int`
  `getTypeId()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateClose(Date dateClose)`
  `void`
  `setPeriod(PeriodWithTime period)`
  `void`
  `setSum(BigDecimal sum)`
  `void`
  `setTypeId(int typeId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Reserve

    public Reserve()

- ## Method Details

  - ### getContractId

    public int getContractId()
    Конструктор резерва для его добавления на договор. Не нужные поля убраны для удобства.
    Parameters:
      `contractId` - - код договора.
      `idType` - тип резерва.
      `dateTo` - - до какого момента действует резерв. может быть null.
      `sum` - - сумма резерва
      `comment` - - комментарий

  - ### setContractId

    public void setContractId(int contractId)

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### setPeriod

    public void setPeriod(PeriodWithTime period)

  - ### getDateClose

    public Date getDateClose()

  - ### setDateClose

    public void setDateClose(Date dateClose)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### builder

    public static Reserve.Builder builder()